/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.watermeter.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.watermeter.custom.entity.meterRead.YhbhAndSl;
import com.tofly.watermeter.entity.Qfcbqfmxls;
import com.tofly.watermeter.service.QfcbqfmxlsService;
import org.springframework.stereotype.Service;
import com.tofly.watermeter.mapper.QfcbqfmxlsMapper;

import java.util.Date;
import java.util.List;

/**
 * 业务抄表欠费明细历史表
 *
 * @author wangjieliu
 * @date Wed Apr 14 00:00:00 CST 2021
 */
@Service("qfcbqfmxlsService")
public class QfcbqfmxlsServiceImpl extends ServiceImpl<QfcbqfmxlsMapper, Qfcbqfmxls> implements QfcbqfmxlsService {

    @Override
    public boolean insertBatch(List<Qfcbqfmxls> qflsList) {


        return baseMapper.insertBatch(qflsList);
    }

    @Override
    public Long getWaterYieldByTime(String yhbh, String readTime) {
        return baseMapper.getWaterYieldByTime(yhbh , readTime);
    }


    @Override
    public List<YhbhAndSl> getBeforeReadData(Integer month) {
        return baseMapper.getBeforeReadData(month);
    }

    public List<YhbhAndSl> selectYhbhAdYsl(Date date){
        return baseMapper.selectYhbhAdYsl(date);
    }

    @Override
    public boolean saveQfcbqfmxls(List<Qfcbqfmxls> lists, Date yearonmonth1, Date yearonmonth2, Date yearonmonth3, String column) {
        return this.baseMapper.insertQfcbqfmxls(lists,yearonmonth1,yearonmonth2,yearonmonth3, column);
    }

    @Override
    public int truncateQfcbqfmxlsTable() {
        return this.baseMapper.truncateQfcbqfmxlsTable();
    }

    @Override
    public IPage<Qfcbqfmxls> getReadHistory(Page page, String yhbh , Date dateTime) {
        return baseMapper.getReadHistory(page , yhbh , dateTime);
    }
}
